%global _empty_manifest_terminate_build 0
Name:		python-pyinstaller
Version:	3.6
Release:	1
Summary:	PyInstaller bundles a Python application and all its dependencies into a single package.
License:	GPL license with a special exception which allows to use PyInstaller to build and distribute non-free programs (including commercial ones)
URL:		http://www.pyinstaller.org
Source0:	https://files.pythonhosted.org/packages/3c/c9/c3f9bc64eb11eee6a824686deba6129884c8cbdf70e750661773b9865ee0/PyInstaller-%{version}.tar.gz
Patch6000:      Fix-Gcc-warnings-for-strncpy-and-strncat.patch
Patch6001:      Reimplement-pyi-search-path-using-strtok.patch
Patch6002:      Use-snprintf-to-simplify-some-string-len.patch
BuildRequires:  python3-devel python3-setuptools zlib-devel

%description
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%package -n python3-pyinstaller
Summary:        PyInstaller bundles a Python application and all its dependencies into a single package.
Provides:       python-PyInstaller
BuildRequires:  python3-devel python3-setuptools

%description -n python3-pyinstaller
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%package help
Summary:	Development documents and examples for PyInstaller
Provides:	python3-PyInstaller-doc
%description help
PyInstaller bundles a Python application and all its dependencies into a single
package. The user can run the packaged app without installing a Python
interpreter or any modules.

%prep
%autosetup -n PyInstaller-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pyinstaller -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Mon Jun 22 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
